export class NoProviderError extends Error {
}
export const createStubMethods = (methodsIn) => keysOf(methodsIn).reduce((methods, type) => {
    methods[type] = () => {
        throw new NoProviderError("Store method called without top-level Provider");
    };
    return methods;
}, {});
export const createStubEffects = (effectsIn) => keysOf(effectsIn).reduce((effects, type) => {
    effects[type] = () => {
        throw new NoProviderError("Store effect called without top-level Provider");
    };
    return effects;
}, {});
export const keysOf = (obj) => Object.keys(obj);
